DBLINK_GET_NOTIFY(3)

NAME
dblink_get_notify - retrieve async notifications on a connection

SYNOPSIS

dblink_get_notify() returns setof (notify_name text, be_pid int, extra text)
dblink_get_notify(text connname) returns setof (notify_name text, be_pid int, extra text)

DESCRIPTION

dblink_get_notify retrieves notifications on either the unnamed connection, or on a named connection if specified. To receive notifications via dblink, LISTEN must first be issued, using dblink_exec. For details see LISTEN(7) and NOTIFY(7).

ARGUMENTS

conname
    The name of a named connection to get notifications on.

RETURN VALUE

Returns setof (notify_name text, be_pid int, extra text), or an empty set if none.

EXAMPLE

    SELECT dblink_exec('LISTEN virtual');
     dblink_exec
    -------------
     LISTEN
    (1 row)
    SELECT * FROM dblink_get_notify();
     notify_name | be_pid | extra
    -------------+--------+-------
    (0 rows)
    NOTIFY virtual;
    NOTIFY
    SELECT * FROM dblink_get_notify();
     notify_name | be_pid | extra
    -------------+--------+-------
     virtual     |   1229 |
    (1 row)